Subject: bug#65852: closed (Re: bug#65852: 30.0.50; image-auto-resize :type has choices in wrong order)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Sep 2023 15:39:03 +0000

Your bug report

#65852: 30.0.50; image-auto-resize :type has choices in wrong order

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65852: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65852
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65852: 30.0.50; image-auto-resize :type has choices in wrong order
From: Stefan Kangas <[email-masked]>
To: Mauro Aranda <[email-masked]>, [email-masked]
Cc: Mattias Engdegård <[email-masked]>
Date: Sun, 10 Sep 2023 08:38:03 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Mauro Aranda <[email-masked]> writes:

> On 10/9/23 11:24, Stefan Kangas wrote:
>  >> I worked on something like that for elint.el, based on the wishlist on
>  >> Bug#2591: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=2591
>  >>
>  >> But I know it might be better to make it so that the byte-compiler
>  >> warns, so I never posted it.
>  >
>  > I'm not sure if elint.el is used all that much, but I might be wrong.
>
> A shame, if you ask me.  It helped me find two more options with this
> problem: font-lock-verbose and message-openpgp-header.  I attach an
> updated patch, but let me know if you prefer a separate bug report.

Thanks, pushed to master.

Subject: 30.0.50; image-auto-resize :type has choices in wrong order
From: Mauro Aranda <[email-masked]>
To: [email-masked]
Date: Sun, 10 Sep 2023 10:40:45 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

The :type for image-auto-resize looks like this:

:type '(choice (const :tag "No resizing" nil)
                (const :tag "Fit to window" fit-window)
                (other :tag "Scale down to fit window" t)
                (number :tag "Scale factor" 1))

The `other' choice should come last.  Otherwise Custom thinks that
that's the selected option, even when the value of image-auto-resize is
a number.